#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 10 tracks, and
     * which have under 35 minutes of music on them.
     */

#define PCLINE_SPOTLIGHT       534203104 /* key parts = 1483.67.10.154 165 */
#define NYOUNG_EVERYBODYROCKN  537419132 /* key parts = 1492.62.10.182 115 */
#define VAR_C_101VOL5          543553500 /* key parts = 1509.65.10.150 155 */
#define VAR_C_101VOL7          582395105 /* key parts = 1617.57.10.155 162 */
#define VAR_C_101VOL6          585481505 /* key parts = 1626.25.10.155 140 */
#define VAR_C_101VOL2          602281626 /* key parts = 1673.00.10.126 150 */
#define VAR_C_101VOL3          606649528 /* key parts = 1685.10.10.178 185 */
#define VAR_C_101VOL9          614147139 /* key parts = 1705.72.10.189 138 */
#define TPHEART_GETIT_GG       639827118 /* key parts = 1777.22.10.168 173 */
#define TPHEART_GETIT_M        640719918 /* key parts = 1779.58.10.168 174 */
#define VAR_C_101VOL1          654505615 /* key parts = 1818.05.10.265 157 */
#define BJOEL_COLDSPRINGHARB   653171122 /* key parts = 1814.27.10.172 170 */
#define VAR_C_101VOL8          663193540 /* key parts = 1842.15.10.190 174 */
#define TPHEART_TPHEART_GG     667187248 /* key parts = 1853.22.10.148 211 */
#define VAR_C_101VOL4          668713585 /* key parts = 1857.40.10.235 141 */
#define TPHEART_TPHEART_M      668747248 /* key parts = 1857.47.10.148 214 */
#define LRONST_LRONSTADT       687193570 /* key parts = 1908.65.10.220 167 */
#define BDYLAN_DOWNINGROOVE    694657538 /* key parts = 1929.45.10.188 177 */
#define PINKF_EARLYSING_SO     723255927 /* key parts = 2009.03.10.177 345 */


void filltoc10_00(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == PCLINE_SPOTLIGHT ) { /* 0:24:43-67 */
	tocPtr->discPerformer = "Patsy Cline";
	tocPtr->discTitle = "Country Spotlight";
	SET_CDtt( 1, 02.34, "Walkin' After Midnight");
	SET_CDtt( 2, 02.24, "Honkey Tonk Merry-Go-Round");
	SET_CDtt( 3, 02.30, "Just Out of Reach (Of My Two Open Arms)");
	SET_CDtt( 4, 02.37, "In Care of the Blues");
	SET_CDtt( 5, 02.37, "A Poor Man's Roses (Or a Rich Man's Gold)");
	SET_CDtt( 6, 01.59, "Try Again");
	SET_CDtt( 7, 02.39, "Never No More");
	SET_CDtt( 8, 02.39, "If I Could Only Stay Asleep");
	SET_CDtt( 9, 01.57, "Ain't No Wheels on This Ship");
	SET_CDtt(10, 02.45, "Fingerprints");
	}
    if ( cdKey == BDYLAN_DOWNINGROOVE ) { /* 0:32:09-45 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Down In The Groove";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 03.08, "Let's Stick Together");
	SET_CDtt( 2, 02.15, "When Did You Leave Heaven?");
	SET_CDtt( 3, 02.30, "Sally Sue Brown");
	SET_CDtt( 4, 05.10, "Death Is Not The End");
	SET_CDtt( 5, 02.54, "Had a Dream About You, Baby");
	SET_CDtt( 6, 03.32, "Ugliest Girl in the World");
	SET_CDtt( 7, 03.06, "Silvio");
	SET_CDtt( 8, 02.56, "Ninety Miles An Hour (Down a Dead End Street)");
	SET_CDtt( 9, 03.39, "Shenandoah");
	SET_CDtt(10, 02.57, "Rank Strangers To Me");
#     endif
	}
    if ( cdKey == BJOEL_COLDSPRINGHARB ) { /* 0:30:14-27 */
	tocPtr->discPerformer = "Billy Joel";
	tocPtr->discTitle = "Cold Spring Harbor";
#     if !defined(SKIPSONGS_Billy_Joel)
	SET_CDtt( 1, 02.52, "She's Got A Way");
	SET_CDtt( 2, 02.58, "You Can Make Me Free");
	SET_CDtt( 3, 02.50, "Everybody Loves You Now");
	SET_CDtt( 4, 02.56, "Why Judy Why");
	SET_CDtt( 5, 02.40, "Falling of the Rain");
	SET_CDtt( 6, 03.07, "Turn Around");
	SET_CDtt( 7, 02.28, "You Look So Good To Me");
	SET_CDtt( 8, 04.42, "Tomorrow is Today");
	SET_CDtt( 9, 02.49, "Nocturne");
	SET_CDtt(10, 02.50, "Got To Begin Again");
#     endif
	}
    if ( cdKey == TPHEART_TPHEART_M ) { /* 0:30:57-47 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "Tom Petty and the HeartBreakers  [MCA]";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 02.28, "Rockin' Around (With You)");
	SET_CDtt( 2, 02.45, "Breakdown");
	SET_CDtt( 3, 02.14, "Hometown Blues");
	SET_CDtt( 4, 03.02, "The Wild One, Forever");
	SET_CDtt( 5, 02.25, "Anything That's Rock 'n' Roll");
	SET_CDtt( 6, 03.32, "Strangered In The Night");
	SET_CDtt( 7, 03.51, "Fooled Again (I Don't Like It)");
	SET_CDtt( 8, 03.04, "Mystery Man");
	SET_CDtt( 9, 04.00, "Luna");
	SET_CDtt(10, 03.34, "American Girl");
#     endif
	}
    if ( cdKey == TPHEART_TPHEART_GG ) { /* 0:30:53-22 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "Tom Petty and the HeartBreakers  [GoneGator]";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 02.28, "Rockin' Around (With You)");
	SET_CDtt( 2, 02.44, "Breakdown");
	SET_CDtt( 3, 02.14, "Hometown Blues");
	SET_CDtt( 4, 03.02, "The Wild One, Forever");
	SET_CDtt( 5, 02.25, "Anything That's Rock 'n' Roll");
	SET_CDtt( 6, 03.32, "Strangered In The Night");
	SET_CDtt( 7, 03.52, "Fooled Again (I Don't Like It)");
	SET_CDtt( 8, 03.04, "Mystery Man");
	SET_CDtt( 9, 03.59, "Luna");
	SET_CDtt(10, 03.31, "American Girl");
#     endif
	}
    if ( cdKey == TPHEART_GETIT_M ) { /* 0:29:39-58 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "You're Gonna Get It!  [MCA]";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 02.48, "When The Time Comes");
	SET_CDtt( 2, 03.00, "You're Gonna Get It");
	SET_CDtt( 3, 03.20, "Hurt");
	SET_CDtt( 4, 03.02, "Magnolia");
	SET_CDtt( 5, 02.58, "Too Much Ain't Enough");
	SET_CDtt( 6, 02.26, "I Need To Know");
	SET_CDtt( 7, 03.05, "Listen To Her Heart");
	SET_CDtt( 8, 02.42, "No Second Thoughts");
	SET_CDtt( 9, 03.22, "Restless");
	SET_CDtt(10, 02.54, "Baby's A Rock 'n' Roller");
#     endif
	}
    if ( cdKey == TPHEART_GETIT_GG ) { /* 0:29:37-22 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "You're Gonna Get It!  [GoneGator]";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 02.48, "When The Time Comes");
	SET_CDtt( 2, 03.00, "You're Gonna Get It");
	SET_CDtt( 3, 03.20, "Hurt");
	SET_CDtt( 4, 03.01, "Magnolia");
	SET_CDtt( 5, 02.57, "Too Much Ain't Enough");
	SET_CDtt( 6, 02.27, "I Need To Know");
	SET_CDtt( 7, 03.04, "Listen To Her Heart");
	SET_CDtt( 8, 02.42, "No Second Thoughts");
	SET_CDtt( 9, 03.23, "Restless");
	SET_CDtt(10, 02.53, "Baby's A Rock 'n' Roller");
#     endif
	}
    if ( cdKey == PINKF_EARLYSING_SO ) { /* 0:33:29-03 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "The Early Singles  [Shine On box]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 02.57, "Arnold Lane");
	SET_CDtt( 2, 02.47, "Candy and a Currant Bun");
	SET_CDtt( 3, 02.55, "See Emily Play");
	SET_CDtt( 4, 02.11, "The Scarecrow");
	SET_CDtt( 5, 03.08, "Apples and Oranges");
	SET_CDtt( 6, 03.47, "Paintbox");
	SET_CDtt( 7, 03.46, "It Would Be So Nice");
	SET_CDtt( 8, 02.36, "Julia Dream");
	SET_CDtt( 9, 03.35, "Point Me At the Sky");
	SET_CDtt(10, 05.45, "Careful With That Axe, Eugene");
#     endif
	}
    if ( cdKey == LRONST_LRONSTADT ) { /* 0:31:48-65 */
	tocPtr->discPerformer = "Linda Ronstadt";
	tocPtr->discTitle = "Linda Ronstadt";
	tocPtr->discCatNum = "007777801272600";
#     if !defined(SKIPSONGS_Linda_Ronstadt)
	SET_CDtt( 1, 03.40, "Rock Me on the Water");
	SET_CDtt( 2, 03.33, "Crazy Arms");
	SET_CDtt( 3, 03.03, "I Won't Be Hangin' Round");
	SET_CDtt( 4, 02.43, "I Still Miss Someone");
	SET_CDtt( 5, 03.34, "In My Reply");
	SET_CDtt( 6, 03.11, "I Fall to Pieces");
	SET_CDtt( 7, 03.22, "Ramblin' 'Round");
	SET_CDtt( 8, 03.02, "Birds");
	SET_CDtt( 9, 02.51, "I Ain't Always Been Faithful");
	SET_CDtt(10, 02.47, "Rescue Me");
#     endif
	}
    if ( cdKey == VAR_C_101VOL1 ) { /* 0:30:18-05 */
	tocPtr->discPerformer = "Various Artists/ Country Hits";
	tocPtr->discTitle = "Vol. One: Forever Country";
	SET_CDtt( 1, 04.25, "El Paso  [Marty Robbins]");
	SET_CDtt( 2, 02.41, "Stand By Your Man  [Tammy Wynette]");
	SET_CDtt( 3, 02.41, "Make the World Go Away  [Eddy Arnold]");
	SET_CDtt( 4, 02.22, "Flowers on the Wall  [The Statler Brothers]");
	SET_CDtt( 5, 02.44, "Crazy  [Patsy Cline]");
	SET_CDtt( 6, 03.40, "It Was Almost Like a Song  [Ronnie Milsap]");
	SET_CDtt( 7, 03.40, "I Was Country When Country Wasn't Cool  [Barbara Mandrell]");
	SET_CDtt( 8, 02.23, "Walk On By  [Leroy Van Dyke]");
	SET_CDtt( 9, 03.03, "Coal Miner's Daughter  [Loretta Lynn]");
	SET_CDtt(10, 02.37, "There Goes My Everything  [Jack Greene]");
	}
    if ( cdKey == VAR_C_101VOL2 ) { /* 0:27:53-00 */
	tocPtr->discPerformer = "Various Artists/ Country Hits";
	tocPtr->discTitle = "Vol. Two: Country Sunshine";
	SET_CDtt( 1, 02.06, "Country Sunshine  [Dottie West]");
	SET_CDtt( 2, 02.56, "Misty  [Ray Stevens]");
	SET_CDtt( 3, 03.26, "(Hey Won't You Play) Another Somebody Done Somebody Wrong Song  [B.J. Thomas]");
	SET_CDtt( 4, 02.57, "Delta Dawn  [Tanya Tucker]");
	SET_CDtt( 5, 02.40, "All the Gold in California  [Larry Gatlin & The Gatlin Brothers Band]");
	SET_CDtt( 6, 02.04, "Kiss an Angel Good Mornin'  [Charley Pride]");
	SET_CDtt( 7, 02.34, "Heaven's Just a Sin Away  [The Kendalls]");
	SET_CDtt( 8, 03.39, "I Loved 'Em Every One  [T.G. Sheppard]");
	SET_CDtt( 9, 02.59, "Don't All the Girls Get Prettier at Closing Time  [Mickey Gilley]");
	SET_CDtt(10, 02.30, "Lousiana Woman, Mississippi Man  [Conway Twitty & Loretta Lynn]");
	}
    if ( cdKey == VAR_C_101VOL3 ) { /* 0:28:05-10 */
	tocPtr->discPerformer = "Various Artists/ Country Hits";
	tocPtr->discTitle = "Vol. Three: Easy Country";
	SET_CDtt( 1, 02.58, "Rose Garden  [Lynn Anderson]");
	SET_CDtt( 2, 02.19, "Abilene  [George Hamilton IV]");
	SET_CDtt( 3, 03.02, "9,999,999 Tears  [Dickey Lee]");
	SET_CDtt( 4, 02.39, "The End of the World  [Skeeter Davis]");
	SET_CDtt( 5, 03.01, "Almost Persuaded  [David Houston]");
	SET_CDtt( 6, 02.36, "The Happiest Girl in the Whole U.S.A.  [Donna Fargo]");
	SET_CDtt( 7, 03.49, "For the Good Times  [Ray Price]");
	SET_CDtt( 8, 02.05, "Tippy Toeing  [Harden Trio]");
	SET_CDtt( 9, 02.29, "Oh, Lonesome Me  [Don Gibson]");
	SET_CDtt(10, 03.05, "Teddy Bear Song  [Barbara Fairchild]");
	}
    if ( cdKey == VAR_C_101VOL4 ) { /* 0:30:57-40 */
	tocPtr->discPerformer = "Various Artists/ Country Hits";
	tocPtr->discTitle = "Vol. Four: Mellow Country";
	SET_CDtt( 1, 03.55, "You and I  [Eddy Rabbitt with Crystal Gayle]");
	SET_CDtt( 2, 04.06, "I Believe In You  [Don Williams]");
	SET_CDtt( 3, 02.23, "He'll Have To Go  [Jim Reeves]");
	SET_CDtt( 4, 02.59, "The Tennessee Waltz  [Patti Page]");
	SET_CDtt( 5, 02.31, "It's Such a Pretty World Today  [Wynn Stewart]");
	SET_CDtt( 6, 03.23, "I'm Not Lisa  [Jessi Colter]");
	SET_CDtt( 7, 03.00, "I Can Help  [Billy Swan]");
	SET_CDtt( 8, 03.28, "Why Me  [Kris Kristofferson]");
	SET_CDtt( 9, 02.49, "Still  [Bill Anderson]");
	SET_CDtt(10, 02.21, "San Antonio Rose  [Floyd Cramer]");
	}
    if ( cdKey == VAR_C_101VOL5 ) { /* 0:25:09-65 */
	tocPtr->discPerformer = "Various Artists/ Country Hits";
	tocPtr->discTitle = "Vol. Five: Country Memories";
	SET_CDtt( 1, 02.30, "Waterloo  [Stonewall Jackson]");
	SET_CDtt( 2, 02.12, "Please Help Me, I'm Falling (in Love with You)  [Hank Locklin]");
	SET_CDtt( 3, 02.18, "Hello Walls  [Faron Young]");
	SET_CDtt( 4, 02.35, "Down Yonder  [Del Wood]");
	SET_CDtt( 5, 03.01, "Big Bad John  [Jimmy Dean]");
	SET_CDtt( 6, 02.24, "Wings of a Dove  [Ferlin Husky]");
	SET_CDtt( 7, 02.42, "The Wild Side of Live  [Hank Thompson]");
	SET_CDtt( 8, 02.32, "It Wasn't God Who Made Honky Tonk Angels  [Kitty Wells]");
	SET_CDtt( 9, 02.18, "The Bridge Washed Out  [Warner Mack]");
	SET_CDtt(10, 02.35, "Skip a Rope  [Henson Cargill]");
	}
    if ( cdKey == VAR_C_101VOL6 ) { /* 0:27:06-25 */
	tocPtr->discPerformer = "Various Artists/ Country Hits";
	tocPtr->discTitle = "Vol. Six: Timeless Country";
	SET_CDtt( 1, 02.35, "The Battle of New Orleans  [Johnny Horton]");
	SET_CDtt( 2, 03.19, "Indian Love Call  [Slim Whitman]");
	SET_CDtt( 3, 02.37, "Sixteen Tons  [Tennessee Ernie Ford]");
	SET_CDtt( 4, 02.45, "Your Cheatin' Heart  [Hank Williams]");
	SET_CDtt( 5, 02.35, "Big Midnight Special  [Wilma Lee & Stoney Cooper]");
	SET_CDtt( 6, 02.40, "Ring of Fire  [Johnny Cash]");
	SET_CDtt( 7, 02.54, "Don't Let Me Cross Over  [Carl & Pearl Butter]");
	SET_CDtt( 8, 03.11, "I Dreamed of Hillbilly Heaven  [Tex Ritter]");
	SET_CDtt( 9, 02.08, "I Don't Believe You've Met My Baby  [Charlie Louvin]");
	SET_CDtt(10, 02.20, "Foggy Mountain Breakdown  [Lester Flatt & Earl Scruggs]");
	}
    if ( cdKey == VAR_C_101VOL7 ) { /* 0:26:57-57 */
	tocPtr->discPerformer = "Various Artists/ Country Hits";
	tocPtr->discTitle = "Vol. Seven: Country Nights";
	SET_CDtt( 1, 02.35, "Don't It Make My Brown Eyes Blue  [Crystal Gayle]");
	SET_CDtt( 2, 02.51, "In the Misty Moonlight  [Jerry Wallace]");
	SET_CDtt( 3, 02.41, "Right or Wrong  [Wanda Jackson]");
	SET_CDtt( 4, 03.02, "You've Never Been This Far Before  [Conway Twitty]");
	SET_CDtt( 5, 02.21, "Mr. Sandman  [Emmylou Harris]");
	SET_CDtt( 6, 03.07, "Don't Touch Me  [Jeanie Seely]");
	SET_CDtt( 7, 01.59, "Let's Think About Living  [Bob Luman]");
	SET_CDtt( 8, 02.18, "Once a Day  [Connie Smith]");
	SET_CDtt( 9, 03.19, "He Stopped Loving Her Today  [George Jones]");
	SET_CDtt(10, 02.42, "Satin Sheets  [Jeanne Pruett]");
	}
    if ( cdKey == VAR_C_101VOL8 ) { /* 0:30:42-15 */
	tocPtr->discPerformer = "Various Artists/ Country Hits";
	tocPtr->discTitle = "Vol. Eight: Country Romance";
	SET_CDtt( 1, 03.10, "I Love a Rainy Night  [Eddie Rabbitt]");
	SET_CDtt( 2, 04.08, "The Sweetest Thing (I've Ever Known)  [Juice Newton]");
	SET_CDtt( 3, 02.35, "Before the Next Teardrop Falls  [Freddy Fender]");
	SET_CDtt( 4, 02.35, "Help Me Make it Through the Night  [Sammi Smith]");
	SET_CDtt( 5, 03.20, "Luckenbach, Texas (Back to the Basics of Love)  [Waylon Jennings]");
	SET_CDtt( 6, 03.33, "Lookin' For Love  [Johnny Lee]");
	SET_CDtt( 7, 02.56, "I Will Always Love You  [Dolly Parton]");
	SET_CDtt( 8, 02.33, "Young Love  [Sonny James]");
	SET_CDtt( 9, 02.56, "Behind Close Doors  [Charlie Rich]");
	SET_CDtt(10, 02.54, "My Special Angel  [Bobby Helms]");
	}
    if ( cdKey == VAR_C_101VOL9 ) { /* 0:28:25-72 */
	tocPtr->discPerformer = "Various Artists/ Country Hits";
	tocPtr->discTitle = "Vol. Nine: Country Classics";
	SET_CDtt( 1, 03.09, "Harper Valley P.T.A.  [Jeannie C. Riley]");
	SET_CDtt( 2, 02.52, "Wolverton Mountain  [Claude King]");
	SET_CDtt( 3, 02.45, "Tennessee Birdwalk  [Jack Blanchard & Misty Morgan]");
	SET_CDtt( 4, 03.27, "Country Bumpkin  [Cal Smith]");
	SET_CDtt( 5, 02.12, "From a Jack to a King  [Ned Miller]");
	SET_CDtt( 6, 02.42, "Take This Job and Shove It  [Johnny Paycheck]");
	SET_CDtt( 7, 02.48, "The Carroll County Accident  [Porter Wagoner]");
	SET_CDtt( 8, 03.17, "Put Your Hand in the Hand  [Sandy Posey]");
	SET_CDtt( 9, 02.53, "Hey, Good Lookin'  [Ace Cannon]");
	SET_CDtt(10, 02.18, "May the Bird of Paradise Fly Up Your Nose  [Little Jimmy Dickens]");
	}
    if ( cdKey == NYOUNG_EVERYBODYROCKN ) { /* 0:24:52-62 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Everybody's Rockin'";
	tocPtr->discCatNum = "007599040132800";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 03.02, "Betty Lou's Got a New Pair of Shoes");
	SET_CDtt( 2, 02.11, "Rainin' in My Heart");
	SET_CDtt( 3, 03.10, "Payola Blues");
	SET_CDtt( 4, 02.59, "Wonderin'");
	SET_CDtt( 5, 01.50, "Kinda Fonda Wanda");
	SET_CDtt( 6, 02.00, "Jellyroll Man");
	SET_CDtt( 7, 02.17, "Bright Lights, Big City");
	SET_CDtt( 8, 02.39, "Cry, Cry, Cry");
	SET_CDtt( 9, 02.47, "Mystery Train");
	SET_CDtt(10, 01.55, "Everybody's Rockin'");
#     endif
	}
}
